-- phpMyAdmin SQL Dump
-- version 4.5.1
-- http://www.phpmyadmin.net
--
-- Host: 127.0.0.1
-- Generation Time: Sep 08, 2016 at 10:14 AM
-- Server version: 10.1.10-MariaDB
-- PHP Version: 7.0.4

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `ananda_pembelian`
--

-- --------------------------------------------------------

--
-- Table structure for table `akun`
--

CREATE TABLE `akun` (
  `kode_akun` varchar(4) NOT NULL DEFAULT '',
  `nama_akun` varchar(50) DEFAULT NULL,
  `header_akun` varchar(4) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `bahan_baku`
--

CREATE TABLE `bahan_baku` (
  `kode_bhn_baku` varchar(3) NOT NULL DEFAULT '',
  `nama_bhn_baku` varchar(25) DEFAULT NULL,
  `satuan` varchar(25) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `bom`
--

CREATE TABLE `bom` (
  `kode_kue` varchar(4) NOT NULL DEFAULT '',
  `kode_bhn_baku` varchar(3) NOT NULL DEFAULT '',
  `jumlah_komposisi` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `detail_beli`
--

CREATE TABLE `detail_beli` (
  `kode_bhn_baku` varchar(3) NOT NULL DEFAULT '',
  `no_nota` varchar(4) NOT NULL DEFAULT '',
  `jumlah` int(11) DEFAULT NULL,
  `subtotal` int(11) DEFAULT NULL,
  `harga_satuan` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `jurnal_pembayaran`
--

CREATE TABLE `jurnal_pembayaran` (
  `no_kuitansi` varchar(4) NOT NULL DEFAULT '',
  `kode_akun` varchar(4) NOT NULL DEFAULT '',
  `posisi_dr_cr` varchar(6) DEFAULT NULL,
  `nominal` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `jurnal_pembelian`
--

CREATE TABLE `jurnal_pembelian` (
  `no_nota` varchar(4) NOT NULL DEFAULT '',
  `kode_akun` varchar(4) NOT NULL DEFAULT '',
  `posisi_dr_cr` varchar(6) DEFAULT NULL,
  `nominal` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `kue`
--

CREATE TABLE `kue` (
  `kode_kue` varchar(4) NOT NULL DEFAULT '',
  `nama_kue` varchar(25) DEFAULT NULL,
  `harga_satuan` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `pemasok`
--

CREATE TABLE `pemasok` (
  `kode_pemasok` varchar(3) NOT NULL DEFAULT '',
  `nama_pemasok` varchar(25) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `pembayaran`
--

CREATE TABLE `pembayaran` (
  `no_kuitansi` varchar(4) NOT NULL DEFAULT '',
  `total_bayar` int(11) DEFAULT NULL,
  `tgl_bayar` date DEFAULT NULL,
  `no_nota` varchar(4) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `pembelian`
--

CREATE TABLE `pembelian` (
  `no_nota` varchar(4) NOT NULL DEFAULT '',
  `tgl_beli` date DEFAULT NULL,
  `total_beli` int(11) DEFAULT NULL,
  `discount` int(11) DEFAULT NULL,
  `total_bayar` int(11) DEFAULT NULL,
  `jatuh_tempo` date DEFAULT NULL,
  `kode_pemasok` varchar(3) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Indexes for dumped tables
--

--
-- Indexes for table `akun`
--
ALTER TABLE `akun`
  ADD PRIMARY KEY (`kode_akun`),
  ADD KEY `fk_no_akun` (`header_akun`);

--
-- Indexes for table `bahan_baku`
--
ALTER TABLE `bahan_baku`
  ADD PRIMARY KEY (`kode_bhn_baku`);

--
-- Indexes for table `bom`
--
ALTER TABLE `bom`
  ADD PRIMARY KEY (`kode_kue`,`kode_bhn_baku`),
  ADD KEY `fk_BOM_bhnbaku` (`kode_bhn_baku`);

--
-- Indexes for table `detail_beli`
--
ALTER TABLE `detail_beli`
  ADD PRIMARY KEY (`kode_bhn_baku`,`no_nota`),
  ADD KEY `fk_beli_pembelian` (`no_nota`);

--
-- Indexes for table `jurnal_pembayaran`
--
ALTER TABLE `jurnal_pembayaran`
  ADD PRIMARY KEY (`kode_akun`,`no_kuitansi`),
  ADD KEY `fk_jurnal_bayar` (`no_kuitansi`);

--
-- Indexes for table `jurnal_pembelian`
--
ALTER TABLE `jurnal_pembelian`
  ADD PRIMARY KEY (`kode_akun`,`no_nota`),
  ADD KEY `fk_jurnal_beli` (`no_nota`);

--
-- Indexes for table `kue`
--
ALTER TABLE `kue`
  ADD PRIMARY KEY (`kode_kue`);

--
-- Indexes for table `pemasok`
--
ALTER TABLE `pemasok`
  ADD PRIMARY KEY (`kode_pemasok`);

--
-- Indexes for table `pembayaran`
--
ALTER TABLE `pembayaran`
  ADD PRIMARY KEY (`no_kuitansi`),
  ADD KEY `fk_bayar_beli` (`no_nota`);

--
-- Indexes for table `pembelian`
--
ALTER TABLE `pembelian`
  ADD PRIMARY KEY (`no_nota`),
  ADD KEY `fk_pembelian_pemasok` (`kode_pemasok`);

--
-- Constraints for dumped tables
--

--
-- Constraints for table `akun`
--
ALTER TABLE `akun`
  ADD CONSTRAINT `fk_no_akun` FOREIGN KEY (`header_akun`) REFERENCES `akun` (`kode_akun`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `bom`
--
ALTER TABLE `bom`
  ADD CONSTRAINT `fk_BOM_bhnbaku` FOREIGN KEY (`kode_bhn_baku`) REFERENCES `bahan_baku` (`kode_bhn_baku`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `fk_BOM_kue` FOREIGN KEY (`kode_kue`) REFERENCES `kue` (`kode_kue`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `detail_beli`
--
ALTER TABLE `detail_beli`
  ADD CONSTRAINT `fk_beli_bhnbaku` FOREIGN KEY (`kode_bhn_baku`) REFERENCES `bahan_baku` (`kode_bhn_baku`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `fk_beli_pembelian` FOREIGN KEY (`no_nota`) REFERENCES `pembelian` (`no_nota`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `jurnal_pembayaran`
--
ALTER TABLE `jurnal_pembayaran`
  ADD CONSTRAINT `fk_jurnal_akun2` FOREIGN KEY (`kode_akun`) REFERENCES `akun` (`kode_akun`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `fk_jurnal_bayar` FOREIGN KEY (`no_kuitansi`) REFERENCES `pembayaran` (`no_kuitansi`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `jurnal_pembelian`
--
ALTER TABLE `jurnal_pembelian`
  ADD CONSTRAINT `fk_jurnal_akun` FOREIGN KEY (`kode_akun`) REFERENCES `akun` (`kode_akun`) ON DELETE CASCADE ON UPDATE CASCADE,
  ADD CONSTRAINT `fk_jurnal_beli` FOREIGN KEY (`no_nota`) REFERENCES `pembelian` (`no_nota`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `pembayaran`
--
ALTER TABLE `pembayaran`
  ADD CONSTRAINT `fk_bayar_beli` FOREIGN KEY (`no_nota`) REFERENCES `pembelian` (`no_nota`) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Constraints for table `pembelian`
--
ALTER TABLE `pembelian`
  ADD CONSTRAINT `fk_pembelian_pemasok` FOREIGN KEY (`kode_pemasok`) REFERENCES `pemasok` (`kode_pemasok`) ON DELETE CASCADE ON UPDATE CASCADE;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
